NPS By Location Report
curl --request POST \
--url https://api.birdeye.com/resources/v1/reports/nps/location/elst \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "10/08/2019",
"endDate": "01/15/2020",
"reviewSites": [
"2",
"110"
],
"businessNumbers": [
"9489676910876",
"9434065498803"
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/reports/nps/location/elst"
payload = {
"startDate": "10/08/2019",
"endDate": "01/15/2020",
"reviewSites": ["2", "110"],
"businessNumbers": ["9489676910876", "9434065498803"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '10/08/2019',
endDate: '01/15/2020',
reviewSites: ['2', '110'],
businessNumbers: ['9489676910876', '9434065498803']
})
};
fetch('https://api.birdeye.com/resources/v1/reports/nps/location/elst', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 2,
"avgNpsScore": "-50",
"promoters": "0",
"passives": "50",
"detractors": "50",
"dataPoints": [
{
"nodeId": 1398773,
"label": "Anjou",
"dynamicLabel": {
"header": "Location",
"value": "Anjou",
"order": 2147483647,
"cellType": "TEXT"
},
"detractorPercentile": 50,
"passivePercentile": 50,
"promoterPercentile": 0,
"npsScore": -50,
"positiveCount": 0,
"negativeCount": 1,
"neutralCount": 1,
"totalCount": 2,
"businessNumber": 172712121274890
}
],
"dateDiff": 100,
"totalPages": 1,
"page": 0,
"size": 1
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
NPS By Location
POST
/
v1
/
reports
/
nps
/
location
/
elst
NPS By Location Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the Business.
Body
application/json
Response
OK
Total number of promoters, passives, and detractors.
Average NPS score.
Total number of promoters.
Total number of passives.
Total number of detractors.
Data points.
Grouping by.
Date difference.
Total number of pages.
Current Page.
Size.

